@import url('https://fonts.googleapis.com/css?family=Inter&display=swap');

body{
    margin: 0;
    padding: 0;
    font-family: 'Inter', sans-serif;
    background-color:hsl(230, 17%, 14%);
}

.success {
    color: hsl(163, 72%, 41%);
}

.danger {
    color: hhsl(356, 69%, 56%);
}

.container {
    margin: auto;
    max-width: 1440px;
}

header .healer-left {
    margin-bottom: 30px;
}
header .healer-left h1{
    margin-bottom: 0;
}

main .card{
    border-top: hsl(195, 100%, 50%) 5px solid;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color:  hsl(228, 28%, 20%);
    color: hsl(228, 34%, 66%);
    padding: 2em;
    border-radius: 5px;
}

main .card figure {
    height: 10px;
    display: flex;
    align-items: center;
}

main .card figure img{
    margin-right: 10px;
}

.title-container {
    padding: 1em;
}
.title{
    color: hsl(0, 0%, 100%);
}

.norma-text {
    color: hsl(228, 34%, 66%);
}

main .card .content {
    text-align: center;
}
main .card .content h1{
    margin-top: 20px;
    margin-bottom: 0;
    font-size: 4em;
}

main .card .content p{
    margin-top: 0;
    text-transform: uppercase;
}

main .card:hover {
    background-color: hsl(228, 28%, 20%);
}

section .card {
    display: flex;
    flex-direction: column;
    background-color:  hsl(228, 28%, 20%);
    color: hsl(228, 34%, 66%);
    border-radius: 5px;
    padding: 1em;
}

section .card header{
    display: flex;
    justify-content: space-between;
    margin-bottom: 1em;
}

section .card header h4 {
    padding: 0;
    margin: 0;
}

section .card .container{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

section .card .container h1{
    font-size: 2em;
    margin: 0;
    padding: 0;
}


/* Check box*/

.center {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    color: hsl(0, 0%, 100%);
}

input[type="checkbox"]{
    position: relative;
    width: 80px;
    height: 40px;
    -webkit-appearance: none;
    background-color: hsl(163, 72%, 41%);
    outline: none;
    border-radius: 20px;
    transition: .5s;
    box-shadow: 0 0 5px rgba(0,0,0,.2)
}

input:checked[type="checkbox"]{
    background-color: hsl(146, 68%, 55%);
}

input[type="checkbox"]::before{
    content: "";
    position: absolute;
    width: 40px;
    height: 40px;
    border-radius: 20px;
    left: 0;
    top: 0;
    background-color: hsl(232, 19%, 15%);
    transform: scale(.9);
    box-shadow: 0 0 5px rgba(0,0,0,.2);
    transition: .5s;
}

input:checked[type="checkbox"]::before{
    left: 40px;
}

/* Media queries*/

@media screen and (min-width: 600px) {
    header{
        padding: 1em;
        grid-template-columns: repeat(1, 100%);
    }

    .center p {
        padding-right: 10px;
    }

    header .center{
        padding-top: 1em;
        border-top: 1px solid hsl(230, 22%, 74%);
        justify-content: space-between;
    }

    main .container {
        display: grid;
        grid-template-columns: repeat(auto-fill, 100%);
        gap: 20px;
        justify-content: space-between;
        margin: 1em;
    }

    section .container {
        display: grid;
        grid-template-columns: repeat(auto-fill, 100%);
        gap: 20px;
        justify-content: space-between;
        margin: 1em;
    }
}

@media screen and (min-width: 768px) {
    header{
        display: grid;
        grid-template-columns: repeat(2, 50%);
        
    }

    header .center{
        border-top: none;
        justify-content: flex-end;
    }

    main .container {
        grid-template-columns: repeat(2, 48%);
    }

    section .container {
        grid-template-columns: repeat(2, 48%);
    }
}

@media screen and (min-width: 1200px) {


    main .container {
        grid-template-columns: repeat(4, 23%);
    }

    section .container {
        grid-template-columns: repeat(4, 23%);
    }
}



